summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--audio/alsa-plugins/README9
-rw-r--r--audio/alsa-plugins/alsa-plugins.SlackBuild69
-rw-r--r--audio/alsa-plugins/alsa-plugins.info8
-rw-r--r--audio/alsa-plugins/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/audio/alsa-plugins/README b/audio/alsa-plugins/README
new file mode 100644
index 0000000000..d7064bde20
--- /dev/null
+++ b/audio/alsa-plugins/README
@@ -0,0 +1,9 @@
+These plugins are used to create virtual devices that can be used like
+normal hardware devices but cause extra processing of the sound stream to
+take place. They are used while configuring ALSA in the .asoundrc file.
+
+Dependencies: available at SlackBuilds.org
+jack-audio-connection-kit, pulseaudio, libsamplerate.
+
+Optional dependencies: available at SlackBuilds.org
+ffmpeg, speex.
diff --git a/audio/alsa-plugins/alsa-plugins.SlackBuild b/audio/alsa-plugins/alsa-plugins.SlackBuild
new file mode 100644
index 0000000000..625b794940
--- /dev/null
+++ b/audio/alsa-plugins/alsa-plugins.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for alsa-plugins
+
+# Written by Mihai Militaru <mihai.militaru@gmx.com>
+# March 2009
+
+PRGNAM=alsa-plugins
+VERSION=${VERSION:-1.0.17}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-speex=lib \
+ --with-avcodec-includedir=include/libavcodec \
+ --with-avcodec-libdir=/usr/lib \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ doc/vdownmix.txt doc/upmix.txt doc/speexrate.txt doc/samplerate.txt \
+ doc/README-pulse doc/README-pcm-oss doc/README-maemo doc/README-jack \
+ doc/lavcrate.txt doc/a52.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/alsa-plugins/alsa-plugins.info b/audio/alsa-plugins/alsa-plugins.info
new file mode 100644
index 0000000000..14dc161b9e
--- /dev/null
+++ b/audio/alsa-plugins/alsa-plugins.info
@@ -0,0 +1,8 @@
+PRGNAM="alsa-plugins"
+VERSION="1.0.17"
+HOMEPAGE="http://www.alsa-project.org"
+DOWNLOAD="ftp://ftp.alsa-project.org/pub/plugins/alsa-plugins-1.0.17.tar.bz2"
+MD5SUM="f37d0b2b19dfbe215144941ab8bb6e49"
+MAINTAINER="Mihai Militaru"
+EMAIL="mihai.militaru@gmx.com"
+APPROVED="dsomero"
diff --git a/audio/alsa-plugins/slack-desc b/audio/alsa-plugins/slack-desc
new file mode 100644
index 0000000000..4c5705bf4e
--- /dev/null
+++ b/audio/alsa-plugins/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+alsa-plugins: alsa-plugins (Advanced Linux Sound Architecture Plugins)
+alsa-plugins:
+alsa-plugins: The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
+alsa-plugins: functionality to the Linux operating system.
+alsa-plugins: This package includes plugins for ALSA.
+alsa-plugins:
+alsa-plugins:
+alsa-plugins: Homepage: http://www.alsa-project.org
+alsa-plugins:
+alsa-plugins:
+alsa-plugins: